Skip to content

Create Assembly PCB

Request

Creates a PCB and links it to an assembly.

Security
BearerAuth
Path
assembly_idstringrequired

ID of the assembly to create a PCB for.

Query
without_filesboolean or null

Whether to create the PCB without files.

Headers
Acceptstringrequired

Set this to application/api.luminovo.assembly-pcb-v1+json.

Bodyapplication/jsonrequired
object(Signature)
POST
/assemblies/{assembly_id}/pcb
curl -i -X POST \
  'https://api.luminovo.com/assemblies/{assembly_id}/pcb?without_files=true' \
  -H 'Accept: string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{}'

Responses

PCB created successfully.

Bodyapplication/json
pcb_idstring, (uuid)required

The ID of the created PCB

custom_part_specification_idstring, (uuid)required

The ID of the custom part specification

Response
{ "pcb_id": "da8052ae-8d97-4560-a972-f59b844fec7f", "custom_part_specification_id": "9cda4e71-eb08-4b99-bd6f-f4f6be8aedf7" }